View Issue Details

IDProjectCategoryView StatusLast Update
16651Bug reportsSurvey editingpublic2020-09-14 10:28
ReporterDeveloperChris Assigned Tocdorin  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.23.2 
Summary16651: insertorder is not defined - integrity constraint violation: 1048 Column 'question_order' cannot be null
Description

From a new install of Limesurvey any attempt to edit a question and save it results in a server 500 error.

Limesurvey was installed from docker using this image

martialblog/limesurvey:3.23.2_200908-apache

however the bug is in application/controllers/admin/database.php

$insertorder is undefined and therefore triggers an exception which results in a server 500 crash.

Steps To Reproduce

install LS 3.23.2

create a group with a couple of questions

try and edit any of the questions and then save

error 500 is returned with the message "integrity constraint violation: 1048 Column 'question_order' cannot be null"

turn on debugging in config

try to edit and save a question the error shown is "$insertorder is not defined"

at around line 681 of application/controllers/admin/database.php

add $insertorder=1;

you can now successfully edit and save questions

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.23.2
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-Versionmariadb 10
Server OS (if known)debian 10.5
Webserver software & version (if known)Apache
PHP VersionPHP 7.2.33

Activities

DeveloperChris

DeveloperChris

2020-09-10 05:25

reporter   ~59760

LS Verion is 3.23.2+200908

cdorin

cdorin

2020-09-10 09:56

manager   ~59761

Update to the latest version, to 3.23.3 please. The issue has already been solved.

DeveloperChris

DeveloperChris

2020-09-11 02:39

reporter   ~59775

Thanks. Tested and works well.

cdorin

cdorin

2020-09-14 10:28

manager   ~59783

Thanks for update! Ticket closed

Issue History

Date Modified Username Field Change
2020-09-10 05:23 DeveloperChris New Issue
2020-09-10 05:25 DeveloperChris Note Added: 59760
2020-09-10 09:56 cdorin Note Added: 59761
2020-09-10 09:56 cdorin Assigned To => cdorin
2020-09-10 09:56 cdorin Status new => feedback
2020-09-10 09:57 cdorin Product Version 3.23.3 => 3.23.2
2020-09-11 02:39 DeveloperChris Note Added: 59775
2020-09-11 02:39 DeveloperChris Status feedback => assigned
2020-09-14 10:28 cdorin Status assigned => closed
2020-09-14 10:28 cdorin Resolution open => fixed
2020-09-14 10:28 cdorin Note Added: 59783